<?php
if (isset($_POST['submit_btn']) && $_POST['submit_btn'] == 'submit') :
    doctor_store_reservations($_POST);
endif;

get_header();

$args = [
    'post_type' => 'testimonial',
    'posts_per_page' => -1
];

$testimonial_query = new WP_Query($args);

$args2 = [
    'post_type' => 'before&after',
    'posts_per_page' => get_option('services_count')
];

$before_query = new WP_Query($args2);

?>
<section class="services" id="services">
    <div class="container">
        <div class="title text-center">
            <h2><?php echo get_option('services_title'); ?></h2>
            <p>
                <?php echo get_option('services_subtitle'); ?>
            </p>
        </div>
        <div class="slider">
            <div class="owl-carousel owl-theme owl-rtl owl-loaded owl-drag">

                <div class="owl-stage-outer">
                    <div class="owl-stage">
                        <?php if ($before_query->have_posts()) : ?>
                            <?php while ($before_query->have_posts()) : $before_query->the_post();
                            ?>
                                <div class="owl-item ">
                                    <div class="service-block-new-1 before      -after">
                                        <div class="inner-box">
                                            <a href="<?= the_post_thumbnail_url(); ?>" data-fancybox="gallery" data-caption="<?= get_the_title(); ?>">
                                                <img src="<?= the_post_thumbnail_url('before-size'); ?>" alt="beforeImage" />
                                            </a>
                                        </div>

                                    </div>
                                </div>
                        <?php
                            endwhile;
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Testimonials -->
<section class="testimonials" id="tesimonials">
    <div class="container">
        <div class="title text-center">
            <h2><?php echo get_option('testimonial_title'); ?></h2>
            <p>
                <?php echo get_option('testimonial_subtitle'); ?>
            </p>
        </div>
        <div class="slider">
            <div class="owl-carousel owl-theme owl-rtl owl-loaded owl-drag">

                <div class="owl-stage-outer">
                    <div class="owl-stage">
                        <?php if ($testimonial_query->have_posts()) : ?>
                            <?php while ($testimonial_query->have_posts()) : $testimonial_query->the_post(); ?>
                                <div class="owl-item ">
                                    <div class="item">
                                        <div class="testimonial__item">
                                            <p>
                                                <?= get_the_content() ?>
                                            </p>

                                            <div class="author">
                                                <div class="data">
                                                    <h5><?= get_the_title() ?></h5>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                            <?php wp_reset_postdata(); ?>
                        <?php else : ?>
                            <p><?php _e('No testimonials found', 'textdomain'); ?></p>
                        <?php endif; ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

<section class="contact-us" id="contactUs" style="background-image: url(<?php echo get_option('reservation_img'); ?>);">
    <div class="overlay" style="background: linear-gradient(to left, rgba(<?= $overlayRgb ?> 0.862745098), rgba(<?= $overlayRgb ?> 0.4980392157));"></div>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-6 col-xs-12">
                <div class="form">
                    <div class="form__title">
                        <h3><?php echo get_option('reservation_title'); ?></h3>
                        <p><?php echo get_option('reservation_subtitle'); ?></p>
                    </div>
                    <div id="alert-placeholder" style="margin:30px"></div>
                    <form id="reservation-form" method="post">
                        <fieldset>
                            <label for="formName">الإسم <span>*</span></label>
                            <input class="del-val" type="text" name="name" id="formName" placeholder="الرجاء ادخال الإسم كاملاً" required="">
                        </fieldset>
                        <fieldset>
                            <label for="formPhone">رقم الهاتف <span>*</span></label>
                            <input class="del-val" type="text" name="phone" id="formPhone" placeholder="الرجاء ادخال رقم الهاتف" required="">
                        </fieldset>
                        <fieldset>
                            <label for="formService">الخدمة <span>*</span></label>
                            <input class="del-val" type="text" name="service" id="formService" placeholder="الرجاء ادخال الخدمة المطلوبة" required="">
                        </fieldset>
                        <fieldset>
                            <label for="formDetails">ملاحظات</label>
                            <textarea class="del-val" name="details" id="formDetails" placeholder="رسالتك..."></textarea>
                        </fieldset>

                        <button type="submit" name="submit_btn" value="submit">احجز الموعد الاَن</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<?php get_footer() ?>