jQuery(document).ready(function ($) {
  var table = document.getElementById("all_reservations_table");

  // console.log(branchId);

  const myTable = $("#all_reservations_table").DataTable({
    ajax: {
      url:
        ajax_url +
        "?action=doctor_reservations_datatables&nonce=" +
        nonce ,
      cache: false,
    //   dataSrc: function (json) {
    //     const totalreservations = json.total_reservations;
    //     $('#total_reservations_display').text(totalreservations); 
    //     return json.data; 
    // }
    },

    dom: "lBfrtip",

    buttons: ["copy", "csv", "excel", "pdf", "print"],

    columns: [
      { data: "id" },
      { data: "name" },
      { data: "phone" },
      { data: "service" },
      { data: "details" },
      { data: "reservation_date" },
      { data: "view" },
    ],

    order: [[0, "asc"]],
    pageLength: 20,
    lengthMenu: [
      [10, 20, 50, -1],
      [10, 20, 50, "All"],
    ],
    initComplete: function (settings, json) {
      $("td").has(".toggle-td").addClass("d-none");
    },
  });


  // get data into reservation popup
  $(document).on("click", ".popup-btn", function (e) {
    e.preventDefault();
    var reservation_id = $(this).attr("data-reservation_id");
    console.log(reservation_id);
    $.ajax({
      type: "post",
      dataType: "json",
      url: ajax_url,
      data: {
        action: "add_reservations_details",
        reservation_id: reservation_id,
        nonce: nonce,
      },
      success: function (response) {
        if (response.type == "success") {
          $(".reservation-details").html(response.data);
        } else {
          $(".reservation-details").html(response.data);
        }
      },
      error: function (jqXHR, textStatus, errorThrown) {
        $(".reservation-details").html(
          jqXHR + " :: " + textStatus + " :: " + errorThrown
        );
      },
    });
  });

});
