jQuery(document).ready(function($) {
    var frame;
    $('#add_gallery_image').on('click', function(event) {
        event.preventDefault();
        
        // If the media frame already exists, reopen it.
        if (frame) {
            frame.open();
            return;
        }

        // Create a new media frame
        frame = wp.media({
            title: 'Select or Upload Images',
            button: {
                text: 'Use these images'
            },
            multiple: true  // Set to true to allow multiple files to be selected
        });

        // When an image is selected in the media frame...
        frame.on('select', function() {
            var attachments = frame.state().get('selection').toJSON();
            var image_ids = [];
            
            attachments.forEach(function(attachment) {
                image_ids.push(attachment.id);
                $('#gallery_images_container ul').append(
                    '<li class="image" data-attachment_id="' + attachment.id + '">' +
                    '<img src="' + attachment.sizes.thumbnail.url + '"/>' +
                    '<a href="#" class="remove_image_button">&times;</a>' +
                    '</li>'
                );
            });

            var existing_ids = JSON.parse($('#gallery_images').val() || '[]');
            var new_ids = existing_ids.concat(image_ids);
            $('#gallery_images').val(JSON.stringify(new_ids));
        });

        // Finally, open the modal on click
        frame.open();
    });

    // Remove image event
    $('#gallery_images_container').on('click', 'a.remove_image_button', function(event) {
        event.preventDefault();
        var $li = $(this).closest('li.image');
        var attachment_id = $li.data('attachment_id');

        $li.remove();

        var image_ids = JSON.parse($('#gallery_images').val());
        var index = image_ids.indexOf(attachment_id);
        if (index > -1) {
            image_ids.splice(index, 1);
        }
        $('#gallery_images').val(JSON.stringify(image_ids));
    });
});
