<?php
function doctor_ajax_header()
{
    echo '<script>  var ajax_url="' . admin_url('admin-ajax.php') . '"; var nonce = "' . wp_create_nonce("doctor_nonce") . '";</script>';
}
add_action('admin_head', 'doctor_ajax_header');

/****************************************
     reservations table ajax
 *****************************************/
add_action('wp_ajax_nopriv_doctor_reservations_datatables', 'doctor_reservations_datatables');
add_action('wp_ajax_doctor_reservations_datatables', 'doctor_reservations_datatables');

function doctor_reservations_datatables()
{
    if (!wp_verify_nonce($_REQUEST['nonce'], "doctor_nonce")) {
        exit("No naughty business please");
    }

    global $wpdb;
    $table_name = $wpdb->prefix . "reservations";

    // Prepare the base query
    $query = "SELECT * FROM {$table_name}  ORDER BY id DESC";
    $prepared_query = $wpdb->prepare($query);

    // Execute the query
    $reservations = $wpdb->get_results($prepared_query);
    $response = [];
    $result = [];
    foreach ($reservations as $index => $reservation) {
        $data = new stdClass();
        $data->id            = $index + 1;
        $data->name        = $reservation->c_name;
        $data->phone         = $reservation->phone;
        $data->service         = $reservation->service;
        $data->details         = $reservation->details;
        $reservationDate = new DateTime($reservation->reservation_date);
        $data->reservation_date = $reservationDate->format('j / n / Y  g:i a');
        $data->view          = '<button type="button" class="popup-btn btn btn-info" data-bs-toggle="modal" data-bs-target="#staticBackdrop" data-reservation_id="' . $reservation->id . '" style="padding:5px 14px !important;">View</button>';
        array_push($result, $data);
    }

    //Add two properties to our response - 'data' and 'recordsTotal'
    $response['data'] = !empty($result) ? $result : []; //array of post objects if we have any, otherwise an empty array
    wp_send_json($response); //json_encodes our $response and sends it back with the appropriate headers
}

/****************************************
     reservations popup ajax
 *****************************************/
add_action("wp_ajax_add_reservations_details", "add_reservations_details");
add_action("wp_ajax_nopriv_add_reservations_details", "add_reservations_details");

function add_reservations_details()
{
    $reservation_id = $_POST["reservation_id"];
    $reservation_details = doctor_get_reservations_by_id($reservation_id);
    $reservationDate = new DateTime($reservation_details['reservation_date']);
    $reservation_date = $reservationDate->format('j / n / Y  g:i a');
    $output = '';
    ob_start();
?>

    <div class="reservation-row">
        <p class="reservation-col-left">ُName </p>
        <p class="reservation-col-right"><?= $reservation_details['c_name'] ?></p>
    </div>
    <div class="reservation-row">
        <p class="reservation-col-left">Phone </p>
        <p class="reservation-col-right"><?= $reservation_details['phone'] ?></p>
    </div>
    <div class="reservation-row">
        <p class="reservation-col-left">Service </p>
        <p class="reservation-col-right"><?= $reservation_details['service'] ?></p>
    </div>
    <div class="reservation-row">
        <p class="reservation-col-left">Details </p>
        <p class="reservation-col-right"><?= $reservation_details['details'] ?></p>
    </div>
    <div class="reservation-row">
        <p class="reservation-col-left">Date: </p>
        <p class="reservation-col-right"><?= $reservation_date ?></p>
    </div>

<?php
    $output .= ob_get_contents();
    ob_end_clean();


    $result = array(
        'type' => 'success',
        'data' => $output,
    );
    $result = json_encode($result);
    echo $result;

    die();
}
