<?php
function DOCTOR_admin_scripts_styles($hook): void
{
    // var_dump($hook); 
    $DOCTOR_pages = [
        "toplevel_page_content-area",
        "admin_page_cairo-reviews-data-content",
        "toplevel_page_reviews-form-data-content",
        "toplevel_page_reservations-data-content",
    ];

    wp_enqueue_style('DOCTOR-style', DOCTOR_URL . 'assets/admin/css/style.css');
    wp_enqueue_style('DOCTOR-main', DOCTOR_URL . 'assets/admin/css/main-style.css');

    if (in_array($hook, $DOCTOR_pages)) {
        wp_enqueue_style('admin-bootstrap', DOCTOR_URL . 'assets/admin/css/bootstrap.min.css');
        wp_enqueue_script('admin-bootstrap-bundle', DOCTOR_URL . 'assets/admin/js/bootstrap.bundle.min.js', array(), false, true);
        wp_enqueue_script('admin-bootstrap-js', DOCTOR_URL . 'assets/admin/js/bootstrap.min.js', array(), false, true);
    }

    //data table files

    if ($hook == "toplevel_page_reservations-data-content") {
        wp_enqueue_style('css-jquery-dataTables', DOCTOR_URL . 'assets/admin/data-tables/css/jquery.dataTables.min.css');
        wp_enqueue_style('css-dataTables-buttons', DOCTOR_URL . 'assets/admin/data-tables/css/buttons.dataTables.min.css');
        wp_enqueue_script('sedra-jquery-dataTables',  DOCTOR_URL . 'assets/admin/data-tables/js/jquery.dataTables.min.js', array(), false, true);
        wp_enqueue_script('sedra-dataTables-buttons-js', DOCTOR_URL . 'assets/admin/data-tables/js/dataTables.buttons.min.js', array(), false, true);
        wp_enqueue_script('sedra-buttons-html5-js', DOCTOR_URL . 'assets/admin/data-tables/js/buttons.html5.min.js', array(), false, true);
        wp_enqueue_script('sedra-jszip', DOCTOR_URL . 'assets/admin/data-tables/js/jszip.min.js', array(), false, true);
        wp_enqueue_script('sedra-pdfmake', DOCTOR_URL . 'assets/admin/data-tables/js/pdfmake.min.js', array(), false, true);
        wp_enqueue_script('sedra-vfs', DOCTOR_URL . 'assets/admin/data-tables/js/vfs_fonts.js', array(), false, true);
        wp_enqueue_script('sedra-print', DOCTOR_URL . 'assets/admin/data-tables/js/print.min.js', array(), false, true);
        wp_enqueue_script('admin-ajax', DOCTOR_URL . 'assets/admin/js/ajax.js', array(), false, true);
    }


    wp_enqueue_script('admin-script', DOCTOR_URL . 'assets/admin/js/script.js', array(), false, true);
    $primaryColor = get_option('DOCTOR_primaryColor');

    $secondaryColor = get_option('DOCTOR_secondaryColor');

    $custom_css = "

        :root {

            --primary-color   : {$primaryColor};

            --secondary-color   : {$secondaryColor};

             }";

    wp_add_inline_style('DOCTOR-style', $custom_css);
    wp_add_inline_style('DOCTOR-main', $custom_css);
    wp_add_inline_style('css-dataTables-buttons', $custom_css);

    if (function_exists('wp_enqueue_media')) {
        wp_enqueue_media();
    } else {
        wp_enqueue_style('thickbox');
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');
    }
}

add_action('admin_enqueue_scripts', 'DOCTOR_admin_scripts_styles');

function DOCTOR_scripts_styles()

{

    wp_enqueue_style('css-carousel', DOCTOR_URL . 'assets/css/owl.carousel.min.css');
    wp_enqueue_style('css-carousel-default', DOCTOR_URL . 'assets/css/owl.theme.default.min.css');
    wp_enqueue_style('css-bootstrap', DOCTOR_URL . 'assets/css/bootstrap.min.css');
    wp_enqueue_style('css-settings', DOCTOR_URL . 'assets/plugins/revolution/css/settings.css');
    wp_enqueue_style('css-layers', DOCTOR_URL . 'assets/plugins/revolution/css/layers.css');
    wp_enqueue_style('css-navigation', DOCTOR_URL . 'assets/plugins/revolution/css/navigation.css');
    wp_enqueue_style('css-all', DOCTOR_URL . 'assets/css/all.min.css');
    wp_enqueue_style('css-style', DOCTOR_URL . 'assets/css/style.css');
    wp_enqueue_style('css-fancy', DOCTOR_URL . 'assets/css/jquery.fancybox.min.css');

    $primaryColor = get_option('doctor_primaryColor');

    $secondaryColor = get_option('doctor_secondaryColor');

    $bg_image = wp_is_mobile() ? get_option('doctor_mobile_bg_img') : get_option('doctor_bg_img');

    $overlayColor = get_option('doctor_overlayColor');
    $iconColor = get_option('doctor_testiIconColor');

    $overlayRgb = hexToRgba($overlayColor);
    $iconRgb = hexToRgba($iconColor);

    $custom_css = "

    :root {

        --primary-color   : {$primaryColor};
        --secondary-color   : {$secondaryColor};  

        --overlay-color   : {$overlayRgb};
        --icon-color   : {$iconRgb};       

        --bg-image        : url({$bg_image});
         }";

    wp_add_inline_style('css-style', $custom_css);
    wp_enqueue_script('jquery-js', DOCTOR_URL . 'assets/js/jquery-3.5.1.min.js', array(), null, true);
    wp_enqueue_script('carousel', DOCTOR_URL . 'assets/js/owl.carousel.min.js', array('jquery'), null, true);
    wp_enqueue_script('bootstrap', DOCTOR_URL . 'assets/js/bootstrap.min.js', array('jquery'), null, true);
    wp_enqueue_script('beforeafter', DOCTOR_URL . 'assets/js/beforeafter.jquery-1.0.0.js', array('jquery'), null, true);
    wp_enqueue_script('js-fancy', DOCTOR_URL . 'assets/js/jquery.fancybox.min.js', array('jquery'), null, true);
    wp_enqueue_script('script', DOCTOR_URL . 'assets/js/script.js', array('jquery', 'carousel', 'bootstrap'), null, true);
}

add_action('wp_enqueue_scripts', 'DOCTOR_scripts_styles');
