<?php
add_action('init', 'doctor_custom_post_types');
function doctor_custom_post_types()
{
    $cpts = [
        array(
            'single'       => 'Testimonial',
            'plural'       => 'Testimonials',
            'cptname'      => 'testimonial',
            'icon'         => 'dashicons-heart',
            'supports'     => ["title", "editor"],
            'show_in_menu' => true,
            'position'     => 6
          ),
        array(
          'single'       => 'before&after',
          'plural'       => 'Before&Afters',
          'cptname'      => 'before&after',
          'icon'         => 'dashicons-admin-customizer',
          'supports'     => ["title", "thumbnail"],
          'show_in_menu' => true,
          'position'     => 5
        ),

    ];
    foreach ($cpts as $cpt) {
        $labels = array(
            'name'                  => _x($cpt['single'], 'Post Type General Name', 'detroit'),
            'singular_name'         => _x($cpt['single'], 'Post Type Singular Name', 'detroit'),
            'menu_name'             => __($cpt['plural'], 'detroit'),
            'all_items'             => __('All ' . $cpt['plural'], 'detroit'),
            'add_new_item'          => __('Add New ' . $cpt['single'], 'detroit'),
            'add_new'               => __('Add New', 'detroit'),
            'new_item'              => __('New ' . $cpt['single'], 'detroit'),
            'edit_item'             => __('Edit ' . $cpt['single'], 'detroit'),
            'update_item'           => __('Update ' . $cpt['single'], 'detroit'),
            'view_item'             => __('View ' . $cpt['single'], 'detroit'),
            'search_items'          => __('Search ' . $cpt['plural'], 'detroit'),
            'not_found'             => __('Not found', 'detroit'),
            'not_found_in_trash'    => __('Not found in Trash', 'detroit'),
            'featured_image'        => __('Featured Image', 'detroit'),
            'set_featured_image'    => __('Set featured image', 'detroit'),
            'remove_featured_image' => __('Remove featured image', 'detroit'),
            'use_featured_image'    => __('Use as featured image', 'detroit'),
        );

        $args = array(
            'label'                 => __($cpt['plural'], 'detroit'),
            'description'           => __($cpt['plural'] . ' Description', 'detroit'),
            'labels'                => $labels,
            'supports'              => $cpt['supports'],
            'hierarchical'          => false,
            'public'                => true,
            'show_ui'               => true,
            'show_in_menu'          => $cpt['show_in_menu'],
            'menu_position'         => $cpt['position'],
            'menu_icon'             => $cpt['icon'],
            'show_in_admin_bar'     => true,
            'show_in_nav_menus'     => true,
            'can_export'            => true,
            'has_archive'           => true,
            'exclude_from_search'   => false,
            'publicly_queryable'    => true,
            'capability_type'       => 'post',
        );
        // Register Custom Post Type>
        register_post_type($cpt['cptname'], $args);
    }
}



/*Add Theme Menu */


/* create my custom menu pages */
function doctor_register_custom_menu_pages()
{
    add_menu_page(
        'Doctor options',
        'Doctor Options',
        'manage_options',
        'content-area',
        'main_content_area_callback',
        get_option('doctor_favicon'),
        2
    );

//     add_menu_page(
//         'Reservations',        
//         'Reservations ',         
//         'manage_options',          
//         'reservations-data-content', 
//         'reservations_data_callback',
//         'dashicons-clipboard',
//         3
//     );
}

add_action('admin_menu', 'doctor_register_custom_menu_pages');

require_once(DOCTOR_ROOT . 'doctor_options/homepage_options.php');
// require_once(DOCTOR_ROOT . 'doctor_options/reservations_page.php');